import pandas as pd
import numpy as np
import scipy.stats as ss

finnm = input('入力データファイル（*.xlsx）= ')
foutnm = input('出力用テキストファイル（*.txt）= ')

fout = open(foutnm, 'w')
fout.write('\n入力データファイル：{}\n'.format(finnm))
#
#           Excelファイルの読み込み
#
#   ExcelデータファイルからExcelFile型のオブジェクトの生成
xlsx_fl = pd.ExcelFile(finnm)
#   ExcelFile型のオブジェクトからDataFrame型のオブジェクトの生成
data_xlsx = pd.read_excel(xlsx_fl,  header = None)
#   DataFrame型のオブジェクトからndarray型のオブジェクトの生成
data = data_xlsx.values
print('\n', data)
var_name = data[0,1]                                #   変量名
X = data[1:, 1]                                     #   データ値、numpy.ndarray

print(X)
fout.write('\n変量: {}\n'.format(var_name))
fout.write('\nデータ値:\n{}\n'.format(X))

X_mean = np.mean(X)                                 #   平均値
print('平均値 = ', X_mean)
fout.write('\n平均値 = {0:.3f}\n'.format(X_mean))
X_var  = np.var(X)                                  #   分散
print('分散 = ', X_var)
fout.write('\n分散 = {0:.3f}\n'.format(X_var))
X_sd   = np.std(X)                                  #   標準偏差
print('標準偏差 = ', X_sd)
fout.write('\n標準偏差 = {0:.3f}\n'.format(X_sd))
X_uvar = X_var * len(X) / (len(X) - 1)              #   不偏分散
print('不偏分散 = ', X_uvar)
fout.write('\n不偏分散 = {0:.3f}\n'.format(X_uvar))
X_skewness = ss.skew(X)                             #   歪度
print('歪度 = ', X_skewness)
fout.write('\n歪度 = {0:.3f}\n'.format(X_skewness))
X_kurtosis = ss.kurtosis(X)                         #   尖度
print('尖度 = ', X_kurtosis)
fout.write('\n尖度 = {0:.3f}\n'.format(X_kurtosis))

fout.close()
print('\n出力テキストファイル: {}\n'.format(foutnm))
